Subject: Re: (ngtrans) NAT-PT -05 INput

From: George Tsirtsis <[email-masked]>
Date: Mon, 24 May 1999 12:12:04 +0000 (GMT)

Suresh,

I am trying to to edit the new version of the draft. I think I got most of
the comments incorporated in the draft but I have some difficulty with the
comments on th FTP ALG (see last one below) since I do not know the
subject very well. Could you edit this paragraph (5.4) please?

thanks
George

On Sat, 10 Apr 1999, Pyda Srisuresh wrote:

> > 
> > 
> > >So, I believe, the FTP-ALG operation ought to 
> > >work as followds:
> > >   1. If a V4 host originates the FTP session and
> > >      uses PORT and PASV commands, the FTP-ALG will do 
> > >      the translations as you suggest (PORT to EPRT and
> > >      PASV to EPSV).
> > >   2. However, if a V6 host originates the FTP session, 
> > >      the FTP-ALG will leave the command strings "EPRT" 
> > >      and "EPSV" unaltered. I.e., the V4 hosts will be
> > >      required to have their FTP application upgraded
> > >      to support (EPRT and EPSV) in order to allow 
> > >      access to V4 and V6 hosts, alike.
> > 
> > 	Maybe I missed the point, but (2) is not a happy solution for
> > 	IPv6-only site (which is a most important customer for IPv6-to-IPv4
> > 	translation technologies).  It is possible to translate EPSV/EPRT
> > 	with application level gateway.  We do this in our TCP relaying
> > 	translator (in our current code ALG returns an error by itself,
> > 	for EPSV ALL from IPv6 client).
> > 	Without it you can't access most of the popular FTP sites like
> > 	www.cdrom.com, from IPv6-only network with NAT-PT+ALG.
> > 
> > itojun
> > 
> 
> I see your point. But, I was wary about returning an error code
> (whether it is done by the ALG or the V4 node itself) because 
> RFC 2428 mandates that all FTP transfers where the control and 
> data connection(s) are being established between the same two 
> machines, the EPSV command MUST be used.
> 
> So, if a v6 node sends a "EPSV ALL" to the NAT-PT translated V6 
> node; and the v4 node (being translted as a V6 node by NAT-PT) 
> issues a -ve response to this, I would think that many RFC 2428 
> compliant FTP applications might simply fail, because EPSV 
> support is mandatory.
> 
> If my fears are unwarranted, it certainly is reasonable to do the 
> reverse translation (EPSV to PASV).
> 
> cheers,
> suresh
> 

George
-----------------------------
Internet Transport Research |
BTLABS                      |
--------------------------------------------------------------------------
Notice: This contribution is the personal view of the author and does not
necessarily reflect the technical nor commercial direction of British
Telecommunications plc.
--------------------------------------------------------------------------

---

From: George Tsirtsis <[email-masked]>
Date: Mon, 24 May 1999 12:21:44 +0000 (GMT)

Well,
obviously I did not want to send this message to the list but only to
Suresh, sorry...

In anycase you found out that a new version of NAT-PT is almost ready to
come out.

George

George